org.springframework.cloud.dataflow.core

## Class DefaultStreamDefinitionService

- java.lang.Object
- - org.springframework.cloud.dataflow.core.DefaultStreamDefinitionService

- All Implemented Interfaces:
    StreamDefinitionService

      public class DefaultStreamDefinitionService
      extends Object
      implements StreamDefinitionService

  The default implementation of `StreamDefinitionService`.
  Author:
    Ilayaperumal Gopinathan, Christian Tzolov

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.cloud.dataflow.core.StreamDefinitionService

      `dataFlowAddedProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultStreamDefinitionService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `constructDsl(String originalDslText, LinkedList<StreamAppDefinition> streamAppDefinitions)` Return the updated stream DSL for the given stream definition with the associated properties.
    `LinkedList<StreamAppDefinition>` | `getAppDefinitions(StreamDefinition streamDefinition)` Return the ordered list of application definitions for this stream as a `List`.
    `org.springframework.cloud.dataflow.core.dsl.StreamNode` | `parse(StreamDefinition streamDefinition)` Use the `StreamParser` to retrieve the `StreamNode` representation of the stream.
    `String` | `redactDsl(StreamDefinition streamDefinition)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultStreamDefinitionService

          public DefaultStreamDefinitionService()

  - ### Method Detail

    - #### parse

          public org.springframework.cloud.dataflow.core.dsl.StreamNode parse(StreamDefinition streamDefinition)

      Use the `StreamParser` to retrieve the `StreamNode` representation of the stream.
      Specified by:
        `parse` in interface `StreamDefinitionService`
      Parameters:
        `streamDefinition` - the stream definition
      Returns:
        the StreamNode representation of the stream

    - #### getAppDefinitions

          public LinkedList<StreamAppDefinition> getAppDefinitions(StreamDefinition streamDefinition)

      Return the ordered list of application definitions for this stream as a `List`. This allows for retrieval of application definitions in the stream by index. Application definitions are maintained in stream flow order (source is first, sink is last).
      Specified by:
        `getAppDefinitions` in interface `StreamDefinitionService`
      Parameters:
        `streamDefinition` - the stream definition
      Returns:
        list of application definitions for this stream definition

    - #### constructDsl

          public String constructDsl(String originalDslText,
                                     LinkedList<StreamAppDefinition> streamAppDefinitions)

      Description copied from interface: `StreamDefinitionService`
      Return the updated stream DSL for the given stream definition with the associated properties.
      Specified by:
        `constructDsl` in interface `StreamDefinitionService`
        `streamAppDefinitions` - the linked list of `StreamAppDefinition`s associated with the stream with some of app properties modified
      Returns:
        the updated stream DSL

    - #### redactDsl

          public String redactDsl(StreamDefinition streamDefinition)

      Specified by:
        `redactDsl` in interface `StreamDefinitionService`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.